> ## Documentation Index
> Fetch the complete documentation index at: https://docs.givebutter.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List all campaigns



## OpenAPI

````yaml https://givebutter.com/docs/api.json get /v1/campaigns
openapi: 3.1.0
info:
  title: Givebutter API Documentation
  version: 1.0.0
  description: >-
    Givebutter Public API - Access and manage your campaigns, contacts,
    transactions, and more.
servers:
  - url: https://api.givebutter.com/
security:
  - http: []
paths:
  /v1/campaigns:
    get:
      tags:
        - Campaigns
      summary: List all campaigns
      operationId: campaigns.index
      parameters:
        - name: scope
          in: query
          schema:
            type: string
      responses:
        '200':
          description: Paginated set of `CampaignResource`
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/CampaignResource'
                  links:
                    type: object
                    properties:
                      first:
                        type:
                          - string
                          - 'null'
                      last:
                        type:
                          - string
                          - 'null'
                      prev:
                        type:
                          - string
                          - 'null'
                      next:
                        type:
                          - string
                          - 'null'
                    required:
                      - first
                      - last
                      - prev
                      - next
                  meta:
                    type: object
                    properties:
                      current_page:
                        type: integer
                        minimum: 1
                      from:
                        type:
                          - integer
                          - 'null'
                        minimum: 1
                      last_page:
                        type: integer
                        minimum: 1
                      links:
                        type: array
                        description: Generated paginator links.
                        items:
                          type: object
                          properties:
                            url:
                              type:
                                - string
                                - 'null'
                            label:
                              type: string
                            active:
                              type: boolean
                          required:
                            - url
                            - label
                            - active
                      path:
                        type:
                          - string
                          - 'null'
                        description: Base path for paginator generated URLs.
                      per_page:
                        type: integer
                        description: Number of items shown per page.
                        minimum: 0
                      to:
                        type:
                          - integer
                          - 'null'
                        description: Number of the last item in the slice.
                        minimum: 1
                      total:
                        type: integer
                        description: Total number of items being paginated.
                        minimum: 0
                      unfiltered_total:
                        type: string
                    required:
                      - current_page
                      - from
                      - last_page
                      - links
                      - path
                      - per_page
                      - to
                      - total
                      - unfiltered_total
                required:
                  - data
                  - links
                  - meta
components:
  schemas:
    CampaignResource:
      type: object
      properties:
        id:
          type: string
        code:
          type: string
        account_id:
          type: string
        event_id:
          type: string
        type:
          type: string
        title:
          type: string
        subtitle:
          type: string
        description:
          type: string
        slug:
          type: string
        url:
          type: string
        goal:
          type:
            - integer
            - 'null'
        raised:
          type: number
        donors:
          type: integer
        currency:
          type: string
        cover:
          type: string
        status:
          type: string
        timezone:
          type: string
        end_at:
          type: string
        event:
          $ref: '#/components/schemas/EventResource'
        settings:
          type: array
          items:
            $ref: '#/components/schemas/CampaignSettingResource'
        created_at:
          type: string
        updated_at:
          type: string
      required:
        - id
        - code
        - account_id
        - event_id
        - type
        - title
        - subtitle
        - description
        - slug
        - url
        - goal
        - raised
        - donors
        - currency
        - cover
        - status
        - timezone
        - end_at
        - settings
        - created_at
        - updated_at
      title: CampaignResource
    EventResource:
      type: object
      properties:
        title:
          type: string
        type:
          type: string
        location_name:
          type: string
        address_formatted:
          type: string
        google_place_id:
          type: string
        start_at:
          type: string
        end_at:
          type: string
        timezone:
          type: string
        details:
          type: string
        private:
          type: string
        tickets_required:
          type: string
        livestream:
          type: string
        livestream_start_at:
          type: string
        livestream_end_at:
          type: string
        created_at:
          type: string
        updated_at:
          type: string
      required:
        - title
        - type
        - location_name
        - address_formatted
        - google_place_id
        - start_at
        - end_at
        - timezone
        - details
        - private
        - tickets_required
        - livestream
        - livestream_start_at
        - livestream_end_at
        - created_at
        - updated_at
      title: EventResource
    CampaignSettingResource:
      type: object
      properties:
        name:
          type: string
        value:
          type: string
      required:
        - name
        - value
      title: CampaignSettingResource
  securitySchemes:
    http:
      type: http
      scheme: bearer

````